Page MenuHomePhabricator

Random freezes
Closed, ResolvedPublic

Description

This one was introduced today with git. E freezes out of nowhere when navigating the main menu or while an error window pops up.

No reliable way to reproduce but if you use it you will most likely hit it. Ctrl+Alt+Backspace works.

@ManMower i am looking at you and @cedric for this. :P

ApB created this task.May 13 2017, 4:17 AM

I suspect this one's me - can you try running commit 69b941f01 and see if the problems go away?

Oh, also, a little more info - are you running in software or gl rendering?

Ok, I'm seeing this on gl render, I'll see if I can find where it came from.

ApB added a comment.May 13 2017, 6:34 AM

GL but i've only seen it happen with the menu and an error/app crash dialog which i think are rendered in SW.

ApB added a comment.May 13 2017, 6:35 AM

Ok, I'm seeing this on gl render, I'll see if I can find where it came from.

good :)

Oh, are you seeing anything logged on stderr when it happens?

I'm rebuilding just before my refcount patch and will leave it running to see if it breaks.

ApB added a comment.May 13 2017, 6:47 AM

I don't pay attention to it usually to know if it spills this error reguraly but i see a lib/ecore_drm2/ecore_drm2_fb.c:520 _fb_flip() pageflip failed for crtc 30 on connector 31: bad file etc etc.

wow, never seen that one but it's definitely the end of the road for screen updates if that happens.

So far no crash before my refcounting patch, but I'll leave it run a whle longer.

Testing a fix for this right now, if it runs for a couple of hours without a crash I'll land it.

I've been testing it for long enough to remove the silver skin from and apply rub to these baby back ribs:

So I think the bug is fixed, landing the change.

Thanks

Ok, as you can see in:

my ribs are finished; E is still running with no crash.

By the depth of the smoke ring here:

you can tell that it's been running for several hours now (This particular cook ran for about 4 hours smoking with an apple wood/oak mix, plus an additional few minutes to firm up the finishing sauce over an open flame).

I'm pretty confident this bug's closd, but if there's still concern I can try a pork shoulder for a longer test.

OMG yum. So hungry now. Waiting on my pulled pork at the local bbq place but may just book a flight to yours and should be there about the time the shoulder is done.

ApB reopened this task as Open.May 15 2017, 1:02 AM

Not fixed. Same as before. Log of E below.

ApB added a comment.May 15 2017, 12:27 PM

log

zmike added a project: BBQ.Jul 24 2018, 9:41 AM